/*
 * \file mixertest.c
 *
 * Mixer test program, prints result of mixer routine for debugging
 * purposes.
 *
 * This file is part of SOSS (Simple OSS Sound)
 *
 * \author Pontus Lidman <pontus@lysator.liu.se>
 *
 * This file is subject to the terms and conditions of the GNU General
 * Public License. See the file "COPYING" in this directory for
 * details.
 *
 */

#include <stdint.h>
#include <stdio.h>

#include "soss.h"

extern stereo_t *backBuffer;

int main(int argc, char **argv)
{
    int i;

    initsamples();
    channel_init();

    channels[0].ext->instr = &sininstr;
    channels[0].samples = sininstr.samples;
    channels[0].nsamples = sininstr.nsamples;
    channels[0].pos = 0;
    channels[0].posfr = 0;
    channels[0].step = 256;
    channels[0].volume_right = 0;
    channels[0].volume_left = 16383;
    channels[0].vramp_r = 0;
    channels[0].vramp_l = 1123;
    channels[0].ramptmp_r = 0;
    channels[0].ramptmp_l = 0;
        
#ifdef USE_ASM
    mixer();
#else
    c_mixer();
#endif
    for (i=0; i<256; i++) {
        printf("%04x %04x ", (uint16_t) backBuffer[i].left, (uint16_t) backBuffer[i].right);
	if (i%4 == 3)
	    printf("\n");
    }

    return 0;
}

