/*
 * \file moonlight.c
 *
 * Beethoven's Moonlight Sonata (first 16 bars)
 *
 * This file is part of SOSS (Simple OSS Sound)
 *
 * \author Pontus Lidman <pontus@lysator.liu.se>
 *
 * This file is subject to the terms and conditions of the GNU General
 * Public License. See the file "COPYING" in this directory for
 * details.
 *
 */

#include "score.h"

/* piano */
note_t chan0[] = {
    /* row 1 */
    NOTE(1/8, G_, 3, 1),
    NOTE(1/8, C_, 4, 1),
    NOTE(1/8, E , 4, 1),
    NOTE(1/8, G_, 3, 1),
    NOTE(1/8, C_, 4, 1),
    NOTE(1/8, E , 4, 1),
    NOTE(1/8, G_, 3, 1),
    NOTE(1/8, C_, 4, 1),
    NOTE(1/8, E , 4, 1),
    NOTE(1/8, G_, 3, 1),
    NOTE(1/8, C_, 4, 1),
    NOTE(1/8, E , 4, 1),
    /* ----------- */
    NOTE(1/8, G_, 3, 1),
    NOTE(1/8, C_, 4, 1),
    NOTE(1/8, E , 4, 1),
    NOTE(1/8, G_, 3, 1),
    NOTE(1/8, C_, 4, 1),
    NOTE(1/8, E , 4, 1),
    NOTE(1/8, G_, 3, 1),
    NOTE(1/8, C_, 4, 1),
    NOTE(1/8, E , 4, 1),
    NOTE(1/8, G_, 3, 1),
    NOTE(1/8, C_, 4, 1),
    NOTE(1/8, E , 4, 1),
    /* ---------- */
    NOTE(1/8, A , 3, 1),
    NOTE(1/8, C_, 4, 1),
    NOTE(1/8, E , 4, 1),
    NOTE(1/8, A , 3, 1),
    NOTE(1/8, C_, 4, 1),
    NOTE(1/8, E , 4, 1),
    NOTE(1/8, A , 3, 1),
    NOTE(1/8, D , 4, 1),
    NOTE(1/8, F_, 4, 1),
    NOTE(1/8, A , 3, 1),
    NOTE(1/8, D , 4, 1),
    NOTE(1/8, F_, 4, 1),
    /* row 2 */
    NOTE(1/8, G_, 3, 1),
    NOTE(1/8, H , 3, 1),
    NOTE(1/8, F_, 4, 1),
    NOTE(1/8, G_, 3, 1),
    NOTE(1/8, C_, 4, 1),
    NOTE(1/8, E , 4, 1),
    NOTE(1/8, G_, 3, 1),
    NOTE(1/8, C_, 4, 1),
    NOTE(1/8, D_, 4, 1),
    NOTE(1/8, F_, 3, 1),
    NOTE(1/8, H , 3, 1),
    NOTE(1/8, D_, 4, 1),
    /* ---------- */
    NOTE(1/8, E , 3, 1),
    NOTE(1/8, G_, 3, 1),
    NOTE(1/8, C_, 4, 1),
    NOTE(1/8, G_, 3, 1),
    NOTE(1/8, C_, 4, 1),
    NOTE(1/8, E , 4, 1),
    NOTE(1/8, G_, 3, 1),
    NOTE(1/8, C_, 4, 1),
    NOTE(1/8, E , 4, 1),
    NOTE(1/8, G_, 3, 1),
    NOTE(1/8, C_, 4, 1),
    NOTE(1/8, E , 4, 1),
    /* ------------ */
    NOTE(1/8, G_, 3, 1),
    NOTE(1/8, D_, 4, 1),
    NOTE(1/8, F_, 4, 1),
    NOTE(1/8, G_, 3, 1),
    NOTE(1/8, D_, 4, 1),
    NOTE(1/8, F_, 4, 1),
    NOTE(1/8, G_, 3, 1),
    NOTE(1/8, D_, 4, 1),
    NOTE(1/8, F_, 4, 1),
    NOTE(1/8, G_, 3, 1),
    NOTE(1/8, D_, 4, 1),
    NOTE(1/8, F_, 4, 1),
    /* bar 7 */
    NOTE(1/8, G_, 3, 1),
    NOTE(1/8, C_, 4, 1),
    NOTE(1/8, E , 4, 1),
    NOTE(1/8, G_, 3, 1),
    NOTE(1/8, C_, 4, 1),
    NOTE(1/8, E , 4, 1),
    NOTE(1/8, A , 3, 1),
    NOTE(1/8, C_, 4, 1),
    NOTE(1/8, F_, 4, 1),
    NOTE(1/8, A , 3, 1),
    NOTE(1/8, C_, 4, 1),
    NOTE(1/8, F_, 4, 1),
    /* bar 8 */
    NOTE(1/8, G_, 3, 1),
    NOTE(1/8, H , 3, 1),
    NOTE(1/8, E , 4, 1),
    NOTE(1/8, G_, 3, 1),
    NOTE(1/8, H , 3, 1),
    NOTE(1/8, E , 4, 1),
    NOTE(1/8, A , 3, 1),
    NOTE(1/8, H , 3, 1),
    NOTE(1/8, D_, 4, 1),
    NOTE(1/8, A , 3, 1),
    NOTE(1/8, H , 3, 1),
    NOTE(1/8, D_, 4, 1),
    /* bar 9 */
    NOTE(1/8, G_, 3, 1),
    NOTE(1/8, H , 3, 1),
    NOTE(1/8, E , 4, 1),
    NOTE(1/8, G_, 3, 1),
    NOTE(1/8, H , 3, 1),
    NOTE(1/8, E , 4, 1),
    NOTE(1/8, G_, 3, 1),
    NOTE(1/8, H , 3, 1),
    NOTE(1/8, E , 4, 1),
    NOTE(1/8, G_, 3, 1),
    NOTE(1/8, H , 3, 1),
    NOTE(1/8, E , 4, 1),
    /* bar 10 */
    NOTE(1/8, G , 3, 1),
    NOTE(1/8, H , 3, 1),
    NOTE(1/8, E , 4, 1),
    NOTE(1/8, G , 3, 1),
    NOTE(1/8, H , 3, 1),
    NOTE(1/8, E , 4, 1),
    NOTE(1/8, G , 3, 1),
    NOTE(1/8, H , 3, 1),
    NOTE(1/8, E , 4, 1),
    NOTE(1/8, G , 3, 1),
    NOTE(1/8, H , 3, 1),
    NOTE(1/8, E , 4, 1),
    /* bar 11 */
    NOTE(1/8, G , 3, 1),
    NOTE(1/8, H , 3, 1),
    NOTE(1/8, F , 4, 1),
    NOTE(1/8, G , 3, 1),
    NOTE(1/8, H , 3, 1),
    NOTE(1/8, F , 4, 1),
    NOTE(1/8, G , 3, 1),
    NOTE(1/8, H , 3, 1),
    NOTE(1/8, F , 4, 1),
    NOTE(1/8, G , 3, 1),
    NOTE(1/8, H , 3, 1),
    NOTE(1/8, F , 4, 1),
    /* bar 12 */
    NOTE(1/8, G , 3, 1),
    NOTE(1/8, C , 4, 1),
    NOTE(1/8, E , 4, 1),
    NOTE(1/8, G , 3, 1),
    NOTE(1/8, C , 4, 1),
    NOTE(1/8, E , 4, 1),
    NOTE(1/8, G , 3, 1),
    NOTE(1/8, C_, 4, 1),
    NOTE(1/8, E , 4, 1),
    NOTE(1/8, F_, 3, 1),
    NOTE(1/8, C_, 4, 1),
    NOTE(1/8, E , 4, 1),
    /* bar 13 */
    NOTE(1/8, F_, 3, 1),
    NOTE(1/8, H , 3, 1),
    NOTE(1/8, D , 4, 1),
    NOTE(1/8, F_, 3, 1),
    NOTE(1/8, H , 3, 1),
    NOTE(1/8, D , 4, 1),
    NOTE(1/8, G , 3, 1),
    NOTE(1/8, H , 3, 1),
    NOTE(1/8, C_, 4, 1),
    NOTE(1/8, E , 3, 1),
    NOTE(1/8, H , 3, 1),
    NOTE(1/8, C_, 4, 1),
    /* bar 14 */
    NOTE(1/8, F_, 3, 1),
    NOTE(1/8, H , 3, 1),
    NOTE(1/8, D , 4, 1),
    NOTE(1/8, F_, 3, 1),
    NOTE(1/8, H , 3, 1),
    NOTE(1/8, D , 4, 1),
    NOTE(1/8, F_, 3, 1),
    NOTE(1/8, A_, 3, 1),
    NOTE(1/8, C_, 4, 1),
    NOTE(1/8, F_, 3, 1),
    NOTE(1/8, A_, 3, 1),
    NOTE(1/8, C_, 4, 1),
    /* bar 15 */
    NOTE(1/8, H , 3, 1),
    NOTE(1/8, D , 4, 1),
    NOTE(1/8, F_, 4, 1),
    NOTE(1/8, H , 3, 1),
    NOTE(1/8, D , 4, 1),
    NOTE(1/8, F_, 4, 1),
    NOTE(1/8, H , 3, 1),
    NOTE(1/8, D_, 4, 1),
    NOTE(1/8, F_, 4, 1),
    NOTE(1/8, H , 3, 1),
    NOTE(1/8, D_, 4, 1),
    NOTE(1/8, F_, 4, 1),
    /* bar 16 */
    /* ... */
    NOTE(0, END, 0, 0)
};

/* lead (sawtooth wave)  */
note_t chan1[] = {
    /* bars 1,2,3 */
    NOTE(12/8, PP, 0, 0),
    NOTE(12/8, PP, 0, 0),
    NOTE(12/8, PP, 0, 0),
    /* bars 4,5 */
    NOTE(12/8, PP, 0, 0),
    NOTE( 9/8, PP, 0, 0),
    NOTE(5/16, G_, 4, 1),
    NOTE(1/16, G_, 4, 1),
    /* bar 6 */
    NOTE( 9/8, G_, 4, 1),
    NOTE(5/16, G_, 4, 1),
    NOTE(1/16, G_, 4, 1),
    /* bar 7 */
    NOTE( 6/8, G_, 4, 1),
    NOTE( 6/8, A , 4, 1),
    /* bar 8 */
    NOTE( 6/8, G_, 4, 1),
    NOTE( 3/8, F_, 4, 1),
    NOTE( 3/8, H , 4, 1),
    /* bar 9 */
    NOTE( 3/8, E , 4, 1),
    NOTE( 9/8, PP, 0, 0),
    /* bar 10 */
    NOTE( 9/8, PP, 0, 0),
    NOTE(5/16, G , 4, 1),
    NOTE(1/16, G , 4, 1),
    /* bar 11 */
    NOTE( 9/8, G , 4, 1),
    NOTE(5/16, G , 4, 1),
    NOTE(1/16, G , 4, 1),
    /* bar 12 */
    NOTE( 9/8, G , 4, 1),
    NOTE( 3/8, F_, 4, 1),
    /* bar 13 */
    NOTE( 6/8, F_, 4, 1),
    NOTE( 3/8, G , 4, 1),
    NOTE( 3/8, E , 4, 1),
    /* bar 14 */
    NOTE( 6/8, F_, 4, 1),
    NOTE( 6/8, F_, 4, 1),
    /* bar 15 (filler) */
    NOTE(12/8, PP, 0, 0),
    NOTE(0,END,0,0)
};

/* bass notes: uppermost note */
note_t chan2[] = {
    /* bars 1,2,3 */
    NOTE(11/8 , C_, 3, 1),
    NOTE( 1/8 , C_, 3, 0),
    NOTE(11/8 , H , 2, 1),
    NOTE( 1/8 , H , 2, 0),
    NOTE(5/8 , A , 2, 1),
    NOTE(1/8 , A , 2, 0),
    NOTE(5/8 , F_, 2, 1),
    NOTE(1/8 , F_, 2, 0),
    /* bars 4,5,6 */
    NOTE(5/8 , G_, 2, 1),
    NOTE(1/8 , G_, 2, 0),
    NOTE(5/8 , G_, 2, 1),
    NOTE(1/8 , G_, 2, 0),
    NOTE(11/8 , C_, 3, 1),
    NOTE( 1/8 , C_, 3, 0),
    NOTE(11/8 , C , 2, 1),
    NOTE( 1/8 , C , 2, 0),
    /* bar 7,8,9 */
    NOTE(5/8 , C_, 3, 1),
    NOTE(1/8 , C_, 3, 0),
    NOTE(5/8 , F_, 2, 1),
    NOTE(1/8 , F_, 2, 0),
    NOTE(5/8 , H , 2, 1),
    NOTE(1/8 , H , 2, 0),
    NOTE(5/8 , H , 2, 1),
    NOTE(1/8 , H , 2, 0),
    NOTE(11/8, E , 3, 1),
    NOTE( 1/8, E , 3, 0),
    /* bar 10,11,12 */
    NOTE(11/8, E , 3, 1),
    NOTE( 1/8, E , 3, 0),
    NOTE(11/8, D , 3, 1),
    NOTE( 1/8, D , 3, 0),
    NOTE(2/8 , C , 3, 1),
    NOTE(1/8 , C , 3, 0),
    NOTE(2/8 , H , 2, 1),
    NOTE(1/8 , H , 2, 0),
    NOTE(5/8 , A_, 2, 1),
    NOTE(1/8 , A_, 2, 0),
    /* bar 13, 14, 15 */
    NOTE(5/8 , H , 2, 1),
    NOTE(1/8 , H , 2, 0),
    NOTE(2/8 , E , 2, 1),
    NOTE(1/8 , E , 2, 0),
    NOTE(2/8 , G , 2, 1),
    NOTE(1/8 , G , 2, 0),
    NOTE(5/8 , F_, 2, 1),
    NOTE(1/8 , F_, 2, 0),
    NOTE(5/8 , F_, 2, 1),
    NOTE(1/8 , F_, 2, 0),
    NOTE(11/8, H , 2, 1),
    NOTE( 1/8, H , 2, 0),
    
    /* --- */
    NOTE(0, END, 0, 0)
};

/* bass notes, 2nd bass note from top */
note_t chan3[] = {
    /* bars 1,2,3 */
    NOTE(11/8 , C_, 2, 1),
    NOTE( 1/8 , C_, 2, 0),
    NOTE(11/8 , H , 1, 1),
    NOTE( 1/8 , H , 1, 0),
    NOTE(5/8 , A , 1, 1),
    NOTE(1/8 , A , 1, 0),
    NOTE(5/8 , F_, 1, 1),
    NOTE(1/8 , F_, 1, 0),
    /* bars 4,5,6 */
    NOTE(5/8 , G_, 1, 1),
    NOTE(1/8 , G_, 1, 0),
    NOTE(5/8 , G_, 1, 1),
    NOTE(1/8 , G_, 1, 0),
    NOTE(11/8, G_, 2, 1),
    NOTE( 1/8 ,G_, 2, 0),
    NOTE(11/8 ,G_, 2, 1),
    NOTE( 1/8 ,G_, 2, 0),
    /* bars 7,8,9 */
    NOTE(5/8 , C_, 2, 1),
    NOTE(1/8 , C_, 2, 0),
    NOTE(5/8 , F_, 1, 1),
    NOTE(1/8 , F_, 1, 0),
    NOTE(5/8 , H , 1, 1),
    NOTE(1/8 , H , 1, 0),
    NOTE(5/8 , H , 1, 1),
    NOTE(1/8 , H , 1, 0),
    NOTE(11/8, E , 2, 1),
    NOTE( 1/8, E , 2, 0),
    /* bars 10,11,12 */
    NOTE(11/8, E , 2, 1),
    NOTE( 1/8, E , 2, 0),
    NOTE(11/8, D , 2, 1),
    NOTE( 1/8, D , 2, 0),
    NOTE(2/8 , C , 2, 1),
    NOTE(1/8 , C , 2, 0),
    NOTE(2/8 , H , 1, 1),
    NOTE(1/8 , H , 1, 0),
    NOTE(5/8 , A_, 1, 1),
    NOTE(1/8 , A_, 1, 0),
    /* bars 13,14,15 */
    NOTE(5/8 , H , 1, 1),
    NOTE(1/8 , H , 1, 0),
    NOTE(6/8 , PP, 0, 0),
    NOTE(6/8 , PP, 0, 0),
    NOTE(1/8 , F_, , 0),
    NOTE(5/8 , F_, 1, 1),
    NOTE(11/8, H , 1, 1),
    NOTE( 1/8, H , 1, 0),
    /* bar 16 ... */
    NOTE(0, END, 0, 0)
};

/* bass notes, 2nd bass note from top */
note_t chan4[] = {
    /* bars 1,2,3 */
    NOTE(12/8, PP, 0, 0),
    NOTE(12/8, PP, 0, 0),
    NOTE(12/8, PP, 0, 0),
    /* bars 4,5,6 */
    NOTE(12/8, PP, 0, 0),
    NOTE(11/8, C_, 2, 1),
    NOTE( 1/8, C_, 2, 0),
    NOTE(11/8, C , 2, 1),
    NOTE( 1/8, C , 2, 0),
    /* bars 7-15 */
    NOTE(12/8, PP, 0, 0),
    NOTE(12/8, PP, 0, 0),
    NOTE(12/8, PP, 0, 0),
    NOTE(12/8, PP, 0, 0),
    NOTE(12/8, PP, 0, 0),
    NOTE(12/8, PP, 0, 0),
    NOTE(12/8, PP, 0, 0),
    NOTE(12/8, PP, 0, 0),
    NOTE(12/8, PP, 0, 0),
    NOTE(0, END, 0, 0)
};
