/*
 * \file musictest.c
 *
 * Sound test/demonstration program. Optionally dumps audio data to a
 * file given as command line argument.
 *
 * This file is part of SOSS (Simple OSS Sound)
 *
 * \author Pontus Lidman <pontus@lysator.liu.se>
 *
 * This file is subject to the terms and conditions of the GNU General
 * Public License. See the file "COPYING" in this directory for
 * details.
 *
 */

#include <stdio.h>
#include <stdint.h>
#include <unistd.h>
#include <fcntl.h>
#include <stdlib.h>

#include "soss.h"

int main(int argc, char **argv)
{
    int dumpfd = -1;
    int audio_fd = -1;

    audio_fd = oss_open();
    initsamples();
    channel_init();
    music_init();
    
    if (argc > 1) {
	dumpfd = open(argv[1], O_WRONLY|O_CREAT|O_TRUNC, 0666);
    }

    while(1) {
	music();
	envelope();
#ifdef USE_ASM
	mixer();
#else
	c_mixer();
#endif
	soundoutput(audio_fd, dumpfd);
    }
}
