/*
 * \file score.h
 *
 * Macros to more easily define musical scores.
 *
 * This file is part of SOSS (Simple OSS Sound)
 *
 * \author Pontus Lidman <pontus@lysator.liu.se>
 *
 * This file is subject to the terms and conditions of the GNU General
 * Public License. See the file "COPYING" in this directory for
 * details.
 *
 */

#define PP -1 /* Pause */
#define END -2 /* End of track */
#define C  0
#define C_ 1
#define D  2
#define D_ 3
#define E  4
#define F  5
#define F_ 6
#define G  7
#define G_ 8
#define A  9
#define A_ 10
#define H  11

#define NOTE(period, pitch, octave, keydown) { 288*period, 12*octave+pitch, keydown }
